Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 10-27-10, 09:08 AM   #25
micclass
Registered User
 
Join Date: Jun 2008
Posts: 2
Default Re: VDPAU problem after upgrade to 260.19.04

Hello,

just as another datapoint:

I am running two systems (both on Fedora 13-x64 with current patches with vdr using vdr-sxfe and VDPAU) where one does have the issue and the other runs fine. There is no difference between 260.19.12 and 260.19.04 but 256.53 works fine.

1. System that has the issue:
8600GT VBIOS 60.84.85.00.11, 256MB, 128Bit-Interface and Twinview

2. System that works well:
Geforce 210 VBIOS 79.18.2d.00.00, 1GB, 64Bit-Interface and just a single Monitor setup

Cheers,

Michael
micclass is offline   Reply With Quote
Old 10-27-10, 01:19 PM   #26
KCat
Registered User
 
Join Date: Aug 2004
Posts: 11
Default Re: VDPAU problem after upgrade to 260.19.04

I'm having this issue, too. Worked fine with the 256.xx drivers, but once I updated to 260.19.12, mplayer dies when trying to use vdpau. When I set VDPAU_TRACE=1 and VDPAU_NVIDIA_DEBUG=3 when running mplayer, I get this output:
Code:
VDPAU capture: Enabled
vdp_imp_device_create_x11(0x8e9c4e0, 0, -, -)
VDPAU nvidia: Version: NVIDIA VDPAU Driver Shared Library  260.19.12  Fri Oct  8 13:53:11 PDT 2010
VDPAU nvidia: Error detected 0 462 
VDPAU nvidia: Backtrace:
--: /usr/lib/opengl/nvidia/lib/libvdpau_nvidia.so [0xb4150000] DSO load base
00: /usr/lib/opengl/nvidia/lib/libvdpau_nvidia.so [0xb416047c] 
01: /usr/lib/opengl/nvidia/lib/libvdpau_nvidia.so [0xb416332c] vdp_imp_device_create_x11
    -> 23
[vdpau] Error when calling vdp_device_create_x11: 23
I have a GF 8600 GT.
KCat is offline   Reply With Quote
Old 10-29-10, 03:58 AM   #27
__jata__
Registered User
 
Join Date: Oct 2010
Posts: 12
Default Re: VDPAU problem after upgrade to 260.19.04

And perhaps I have an additional info as well. Trying xine with the params VDPAU_TRACE=1 and VDPAU_NVIDIA_DEBUG=3 on Quadro FX580, I found in logs this:
Code:
This is xine (X11 gui) - a free video player v0.99.6.
(c) 2000-2007 The xine Team.
VDPAU nvidia: Version: NVIDIA VDPAU Driver Shared Library  260.19.12  Fri Oct  
8 11:46:03 PDT 2010
VDPAU nvidia: Error detected 1 426 
VDPAU nvidia: Backtrace:
--: /usr/lib64/libvdpau_nvidia.so.1 [0x7f9bb3c30000] DSO load base
00: /usr/lib64/libvdpau_nvidia.so.1 [0x7f9bb3c47025] 
01: /usr/lib64/libvdpau_nvidia.so.1 [0x7f9bb3c434c7] 
02: /usr/lib64/libvdpau_nvidia.so.1 [0x7f9bb3c4064c]
I do not know, if it is directly related to the 'xine' problem, because mplayer produces the same error but it works... But this error seems to be quite close to that of KCat.
__jata__ is offline   Reply With Quote
Old 11-02-10, 12:32 PM   #28
Stephen Warren
Moderator
 
Stephen Warren's Avatar
 
Join Date: Aug 2005
Posts: 1,327
Default Re: VDPAU problem after upgrade to 260.19.04

KCat, I believe you're experiencing a known issue that should be fixed in a future driver release. I believe that issue is separate from the issue affecting most users of this thread.
Stephen Warren is offline   Reply With Quote
Old 11-11-10, 12:15 PM   #29
stecklum
Registered User
 
Join Date: Feb 2009
Posts: 56
Default Re: VDPAU problem after upgrade to 260.19.04

Problem seems to be solved with 260.19.21. No more freezes of me-tv. Thanks for the fix!
stecklum is offline   Reply With Quote
Old 11-11-10, 12:50 PM   #30
enito
Registered User
 
Join Date: Aug 2004
Posts: 23
Default Re: VDPAU problem after upgrade to 260.19.04

Hi,

xine continue with freeze with vdpau, with the new driver

any eta for a fix? thx!
enito is offline   Reply With Quote
Old 11-11-10, 03:19 PM   #31
stecklum
Registered User
 
Join Date: Feb 2009
Posts: 56
Default Re: VDPAU problem after upgrade to 260.19.04

I spoke too early. You are right. As soon as I switch a channel me-tv freezes.
stecklum is offline   Reply With Quote
Old 11-11-10, 06:28 PM   #32
papernik
Registered User
 
Join Date: Nov 2010
Posts: 1
Default Re: VDPAU problem after upgrade to 260.19.04

Tried 260.19.21 , but problem not solved

I have gt-240 , ubunti 10.10 , xine-lib-1.2-vdpau, xine-ui

When i start to play x264 mkv file ( avatar ) xine hang, and video remain black. Audio is working fine becouse i can hear.

i have hg xine-lib-1.2-vdpau and hg xine-ui

Same problem when i play VDR (TV) with xine.

if i changhe xv instead of vdpau all is working fine ( but off course cpu usage is high ).

Kernel is 2.6.35-22-generic, and i'm using ubuntu 10.10 64 bit.

260.19.12 same problem.


NVIDIA-Linux-x86_64-256.53.run is working fine.

Hope it can help

Bye

Paper
papernik is offline   Reply With Quote

Old 11-13-10, 06:54 AM   #33
__jata__
Registered User
 
Join Date: Oct 2010
Posts: 12
Default Re: VDPAU problem after upgrade to 260.19.04

The same story here. 260.19.21: mplayer works in VDPAU mode, vlc as well. Xine still no-go, the same symptoms as like as with any other 260.19.x version of nvidia-drivers.
I am back on 256.53 again
__jata__ is offline   Reply With Quote
Old 11-13-10, 06:43 PM   #34
laceration
Registered User
 
Join Date: Nov 2010
Posts: 1
Default Re: VDPAU problem after upgrade to 260.19.04

I have the problem too after install of 260 driver with Ubuntu 10.10 upgrade. I get half a sec of sound and no picture and crash with MPlayer...but only for 1080i video recorded from dvb.
When I tune a 1081i stream:
mplayer dvb://KOHD-HD
it plays, and will record with the -dumpstream -dumpfile params, but the recording will not play, just as above. Its the same for vo=xv and all the settings in the sticky post. Previous 1080i recordings that I have watched before the upgrade will not play either.

edit: I got this to work when I set demuxer=mpegts. Then it would crash in fullscreen so I tried vo=xv and all is well. Vdpau has never worked for me. I have a 8500GT.
Attached Files
File Type: gz nvidia-bug-report.log.gz (45.9 KB, 54 views)
laceration is offline   Reply With Quote
Old 11-14-10, 02:10 PM   #35
__jata__
Registered User
 
Join Date: Oct 2010
Posts: 12
Default Re: VDPAU problem after upgrade to 260.19.04

Quote:
Originally Posted by laceration View Post
edit: I got this to work when I set demuxer=mpegts. Then it would crash in fullscreen so I tried vo=xv and all is well. Vdpau has never worked for me. I have a 8500GT.
I would suppose, this is a different story. This thread describes the situation, when vdpau works properly with previous nvidia-drivers (<260.19.04), but it does not work anymore after upgrade to 260.19.x.
When vdpau has never worked on your system, it is not the case... and the reason is likely also something else but the newer nvidia-driver.
__jata__ is offline   Reply With Quote
Old 11-28-10, 01:10 PM   #36
stecklum
Registered User
 
Join Date: Feb 2009
Posts: 56
Default Re: VDPAU problem after upgrade to 260.19.04

There is a new development version of xine-lib (xine-lib-1-2_c655ca7b6bc) on http://hg.debian.org/hg/xine-lib/xine-lib-1.2/ which contains patches to circumvent libxcb bugs. With this version, me-tv works fine using the NVIDIA 260.19.21 driver.
stecklum is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 02:27 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.